Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSpatialFilter Class Reference

`#include <vtkImageSpatialFilter.h>`

Inheritance diagram for vtkImageSpatialFilter:

[legend]
Collaboration diagram for vtkImageSpatialFilter:

[legend]
List of all members.

## Detailed Description

Filters that operate on pixel neighborhoods.

Date:
  2002/01/22 15:33:32

Revision:
  1.46

vtkImageSpatialFilter is a super class for filters that operate on an input neighborhood for each output pixel. It handles even sized neighborhoods, but their can be a half pixel shift associated with processing. This superclass has some logic for handling boundaries. It can split regions into boundary and non-boundary pieces and call different execute methods.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (83%)
  - Martin, Ken (12%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageSpatialFilter.h)`
  - .`cxx` (`/Imaging/vtkImageSpatialFilter.cxx)`

Definition at line 47 of file vtkImageSpatialFilter.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int * | GetKernelSize ()
int * | GetKernelMiddle ()
## Static Public Methods
vtkImageSpatialFilter * | New ()
int | IsTypeOf (const char *type)
vtkImageSpatialFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageSpatialFilter ()
| ~vtkImageSpatialFilter ()
void | ExecuteInformation ()
virtual void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ComputeOutputWholeExtent (int extent[6], int handleBoundaries)
void | ComputeInputUpdateExtent (int extent[6], int wholeExtent[6])
## Protected Attributes
int | KernelSize [3]
int | KernelMiddle [3]
int | Strides [3]
int | HandleBoundaries

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageSpatialFilter::Superclass

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageHybridMedian2D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D. Definition at line 51 of file vtkImageSpatialFilter.h.

## Constructor & Destructor Documentation

vtkImageSpatialFilter::vtkImageSpatialFilter | ( |  | ) | `[protected]`

vtkImageSpatialFilter::~vtkImageSpatialFilter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkImageSpatialFilter.h.

## Member Function Documentation

vtkImageSpatialFilter* vtkImageSpatialFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageHybridMedian2D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

virtual const char* vtkImageSpatialFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageHybridMedian2D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

int vtkImageSpatialFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageHybridMedian2D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

virtual int vtkImageSpatialFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageHybridMedian2D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

vtkImageSpatialFilter* vtkImageSpatialFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageHybridMedian2D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

void vtkImageSpatialFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageAnisotropicDiffusion2D, vtkImageAnisotropicDiffusion3D, vtkImageContinuousDilate3D, vtkImageContinuousErode3D, vtkImageDilateErode3D, vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

int* vtkImageSpatialFilter::GetKernelSize | ( |  | ) | `[inline]`

| Get the Kernel size. Definition at line 55 of file vtkImageSpatialFilter.h.

int* vtkImageSpatialFilter::GetKernelMiddle | ( |  | ) | `[inline]`

| Get the Kernel middle. Definition at line 58 of file vtkImageSpatialFilter.h.

void vtkImageSpatialFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

virtual void vtkImageSpatialFilter::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Reimplemented in vtkImageMedian3D, vtkImageRange3D, vtkImageSobel2D, vtkImageSobel3D, and vtkImageVariance3D.

void vtkImageSpatialFilter::ComputeOutputWholeExtent | ( | int | extent[6],
|  | int | handleBoundaries
| ) | `[protected]`

void vtkImageSpatialFilter::ComputeInputUpdateExtent | ( | int | extent[6],
|  | int | wholeExtent[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

int vtkImageSpatialFilter::KernelSize[3]`[protected]`

| Definition at line 64 of file vtkImageSpatialFilter.h.

int vtkImageSpatialFilter::KernelMiddle[3]`[protected]`

| Definition at line 65 of file vtkImageSpatialFilter.h.

int vtkImageSpatialFilter::Strides[3]`[protected]`

| Definition at line 66 of file vtkImageSpatialFilter.h.

int vtkImageSpatialFilter::HandleBoundaries`[protected]`

| Definition at line 67 of file vtkImageSpatialFilter.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageSpatialFilter.h